package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.annotation.Excel;

import java.util.Date;

/**
 * 设备列表-点位详情返回
 */
public class PointQueryResponse
{
    /** 点位名称 */
    @Excel(name = "点位名称")
    private String pointName;

    /** 点位匹配字段 */
    @Excel(name = "点位匹配字段")
    private String matchField;

    /** 数据点位 */
    @Excel(name = "数据点位")
    private String dataPoint;

    /** 数据点位名称 */
    @Excel(name = "数据点位名称")
    private String dataPointName;

    /** 数据点位来源设备 */
    @Excel(name = "数据点位来源设备")
    private String dataDevice;

    /** 数据点位来源设备 */
    @Excel(name = "点位最新数据")
    private Object pointValue;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 点位是否需要匹配多设备 */
    @Excel(name = "点位最新数据")
    private int isNeedDeviceId;

    /** 数据单位 */
    @Excel(name = "数据单位")
    private String dataUnit;

    /** 地址 */
    @Excel(name = "寄存器地址")
    private String ipAddress;

    /** 端口 */
    @Excel(name = "端口")
    private String ipPort;

    public void setDataUnit(String dataUnit) {
        this.dataUnit = dataUnit;
    }

    public int getIsNeedDeviceId() {
        return isNeedDeviceId;
    }

    public void setIsNeedDeviceId(int isNeedDeviceId) {
        this.isNeedDeviceId = isNeedDeviceId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Object getPointValue() {
        return pointValue;
    }

    public void setPointValue(Object pointValue) {
        this.pointValue = pointValue;
    }

    public String getDataDevice() {
        return dataDevice;
    }

    public void setDataDevice(String dataDevice) {
        this.dataDevice = dataDevice;
    }

    public String getDataPointName() {
        return dataPointName;
    }

    public void setDataPointName(String dataPointName) {
        this.dataPointName = dataPointName;
    }

    public String getDataPoint() {
        return dataPoint;
    }

    public void setDataPoint(String dataPoint) {
        this.dataPoint = dataPoint;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getMatchField() {
        return matchField;
    }

    public void setMatchField(String matchField) {
        this.matchField = matchField;
    }

    public String getDataUnit() {
        return dataUnit;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getIpPort() {
        return ipPort;
    }

    public void setIpPort(String ipPort) {
        this.ipPort = ipPort;
    }
}
